package com.sheep.gamegroup.view.activity;

import android.support.v4.app.Fragment;

import com.sheep.gamegroup.absBase.BaseContainerActivity;
import com.sheep.gamegroup.util.DataUtil;
import com.sheep.gamegroup.view.fragment.FgtUserCommentDetail;

/**
 * Created by realicing on 2018/11/2.
 * realicing@sina.com
 * 用户评论详情界面
 */
public class ActUserCommentDetail extends BaseContainerActivity {

    private FgtUserCommentDetail fgt;

    @Override
    protected Fragment initFragment() {
        Integer user_comment_id = DataUtil.getObject(getIntent(), Integer.class);
        fgt = new FgtUserCommentDetail();
        fgt.setUser_comment_id(user_comment_id);
        return fgt;
    }

    @Override
    public void onBackPressed() {
        if(fgt.onBackPressed()){
            return;
        }
        super.onBackPressed();
    }
}
